chromium-browser removed from testing

Ok, è accaduto, chromium-browser è stato rimosso da Debian testing e non sarà inclusa in Debian squeeze.

Un po’ di giorni fa (prima dell’annuncio dell’hard freeze), Ho contattato il Debian release team e ho chisto di una possibile inclusione di Chromium 6 in squeeze. Il motivo principale della richiesta è che in Aprile c’è stata almeno una grossa rifattorizzazione del codice SVG (webkit). La copia interna di webkit è troppo vecchia in chromium 5, ed il backport di future patch di sicurezza relative ad SVG (e sfortunatamente la storia dice che esse sono frequenti) è molto difficile.

Non ho ricevuto nessuna risposta, e dopo una settimana di silenzio, e dopo l’annuncio dell’hard freeze, ho capito che chromium 5 non è supportabile, ed ho deciso di caricare chromium 6 in unstable (era già in experimental). Ho chiesto al Release Team di sbloccare chromium-browser 6.0.472.53~r57914-3 o rimuovere chromium-browser 5.0.375.127~r55887-1 da testing.

Bene, dopo una sola ora lo hanno rimosso.

Lo considero un fallimento, tutti gli sforzi per far entrare chromium in squeeze sono stati vani. Debian ha fallito, un browser moderno e molto apprezzato non sarà presente nella nostra prossima versione stabile

 

Update: Il release team ha deciso di sbloccare chromium!

Perchè dovrei preferire chromium-browser in sid piuttosto che google-chrome

 

Leggo sempre più spesso di utenti che chiedono:  ”Qual è la differenza tra chromium-browser in sid e google-chrome?” , “Quale mi conviene usare?” “chromium-browser supporta html5, h264, vp8?”

“Perchè dovrei installare chromium-browser di sid invece che google-chrome?”

  • chromium-browser è free software, google-chrome no
  • chromium-browser usa (ove possibile) le librerie di sistema
  • chromium-browser supporta, esattamente come google-chrome, il codec h264 (di default chromium non lo supporta)
  • chromium-browser in sid segue lo sviluppo del ramo stabile, ma contiene backports di importanti features e bugfix, come VP8/WebM (che google-chrome stabile non supporta),  o il supporto per ”Ambiance/Radiance and Dust themes button”
  • chromium-browser usa una versione molto recente e decisamente più performante di libv8 rispetto a google-chrome (ramo stabile)

BTW, il prossimo step è far entrare chromium-browser in testing e caricare la versione 6.x (ramo unstable) in experimental.